[kernel] r5468 - dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches

Martin Michlmayr tbm at costa.debian.org
Mon Jan 16 20:48:24 UTC 2006


Author: tbm
Date: Mon Jan 16 20:48:23 2006
New Revision: 5468

Added:
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/22_fix_cmdline.dpatch   (contents, props changed)
Modified:
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list
Log:
don't overwrite the cmdline


Modified: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list
==============================================================================
--- dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list	(original)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list	Mon Jan 16 20:48:23 2006
@@ -7,6 +7,7 @@
 18_gettimeofday.dpatch
 20_ioc3.dpatch
 21_ip30.dpatch
+22_fix_cmdline.dpatch
 25_cobalt-network.dpatch
 26_cobalt-ll-sc.dpatch
 32_swarm-cpu-probe.dpatch

Added: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/22_fix_cmdline.dpatch
==============================================================================
--- (empty file)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/22_fix_cmdline.dpatch	Mon Jan 16 20:48:23 2006
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 22_fix_cmdline.dpatch by Martin Michlmayr <tbm at cyrius.com>
+##
+## DP: Don't overwrite CONFIG_CMDLINE (fix bogus change from 21_ip30.dpatch)
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+
+--- old/arch/mips/kernel/setup.c	2005-12-25 13:55:22.000000000 +0000
++++ new/arch/mips/kernel/setup.c	2005-12-25 13:55:28.000000000 +0000
+@@ -523,10 +523,6 @@
+ 	/* call board setup routine */
+ 	plat_setup();
+ 
+-#ifdef CONFIG_CMDLINE
+-	if (strlen(CONFIG_CMDLINE))
+-		strlcpy(arcs_cmdline, CONFIG_CMDLINE, sizeof(command_line));
+-#endif
+ 	strlcpy(command_line, arcs_cmdline, sizeof(command_line));
+ 	strlcpy(saved_command_line, command_line, COMMAND_LINE_SIZE);
+ 



More information about the Kernel-svn-changes mailing list